eoF(3)

NAME
eoF - Basic Function.

SYNOPSIS

#include <eoFunctor.h>

Inherits eoFunctorBase.

  Public Types
typedef R result_type
the return type - probably useless ....

  Public Member Functions
virtual ~eoF ()
virtual dtor here so there is no need to define it in derived classes
virtual R operator() ()=0
The pure virtual function that needs to be implemented by the subclass.

  Static Public Member Functions
eoFunctorBase::procedure_tag functor_category ()
tag to identify a procedure in compile time function selection functor_category

Detailed Description

  template<class R> class eoF< R >
Basic Function. Derive from this class when defining any procedure. It defines a result_type that can be used to determine the return type Argument and result types can be any type including void for result_type

Definition at line 68 of file eoFunctor.h.

Author

Generated automatically by Doxygen for EO from the source code.